Subject: bug#9923: 24.0.91; `where-is' does not find recentf menu items (cmds, not files)

From: Stefan Monnier <[email-masked]>
Date: Sun, 03 Oct 2021 15:26:24 -0400

> Now that I've tested it, I see no effect from with-demoted-errors.
> When debug-on-error is t, it still raises the *Backtrace* buffer.
> When debug-on-error is nil, it works fine in both reported cases
> even without with-demoted-errors,

Sounds like there's already a `with-demoted-errors` handling this
somewhere in the caller(s).
IOW, there's nothing to fix.

> and displays such a suggested key
> in M-x completions:
>
>   ignore (<XF86WakeUp>)

I suspect `ignore` should be annotated so it's not listed in the
completions of `M-x`, with something like a `completion-predicate`.

        Stefan